| Home | Libraries | People | FAQ | More

##### http::message::target

(Inherited from `http::header`)

Returns the request-target string.

###### Synopsis

    string_view
    target() const;

###### Description

The request target string returned is the same string which was received from the network or stored. In particular, it will contain url-encoded characters and should follow the syntax rules for URIs used with HTTP.

###### Remarks

This function is only available when `isRequest == true`.